VERSION 5.00
Begin VB.Form frmNew3CRD 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2295
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3375
   Icon            =   "New3CRD.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2295
   ScaleWidth      =   3375
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdNext 
      Default         =   -1  'True
      Height          =   375
      Left            =   2280
      TabIndex        =   0
      Top             =   1800
      Width           =   975
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1200
      TabIndex        =   4
      Top             =   1800
      Width           =   975
   End
   Begin VB.CommandButton cmdBack 
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1800
      Width           =   975
   End
   Begin VB.Frame frmOrientation 
      Height          =   1095
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   3135
      Begin VB.PictureBox Picture1 
         Appearance      =   0  'Flat
         AutoRedraw      =   -1  'True
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   615
         Left            =   120
         ScaleHeight     =   615
         ScaleWidth      =   2985
         TabIndex        =   7
         Top             =   360
         Width           =   2985
         Begin VB.OptionButton optOrientation 
            Height          =   255
            Index           =   1
            Left            =   0
            TabIndex        =   2
            Top             =   360
            Value           =   -1  'True
            Width           =   2985
         End
         Begin VB.OptionButton optOrientation 
            Height          =   255
            Index           =   0
            Left            =   0
            TabIndex        =   1
            Top             =   0
            Width           =   2985
         End
      End
   End
   Begin VB.Label lblPrices 
      Alignment       =   2  'Center
      ForeColor       =   &H00000000&
      Height          =   285
      Left            =   120
      TabIndex        =   6
      Top             =   1320
      Width           =   3135
   End
End
Attribute VB_Name = "frmNew3CRD"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*************************************
'* Private declarations & constants: *
'*************************************

'Hand cursor declarations:
Private Declare Function SetCursor Lib "user32" (ByVal hCursor As Long) As Long
Private Declare Function LoadCursor Lib "user32" Alias "LoadCursorA" (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long

'Hand cursor constant:
Private Const HandCursor = 32649&

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" And sPartner <> "fotek" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = frmNew3CRD_Caption
  frmOrientation.Caption = frmNew3CRD_frmOrientation_Caption
  optOrientation(0).Caption = frmNew3CRD_optOrientation0_Caption
  optOrientation(1).Caption = frmNew3CRD_optOrientation1_Caption
  lblPrices.Caption = frmNew3CRD_lblPrices_Caption
  lblPrices.ToolTipText = frmNew3CRD_lblPrices_ToolTipText
  cmdBack.Caption = frmNew3CRD_cmdBack_Caption
  cmdCancel.Caption = frmNew3CRD_cmdCancel_Caption
  cmdNext.Caption = frmNew3CRD_cmdNext_Caption
  lblPrices.ForeColor = vbBlue
  lblPrices.FontBold = True
  lblPrices.FontUnderline = True
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Form_Activate()

  On Error GoTo Error_Handler
  
  If sPageType = "CRD1" Or sPageType = "CRD13" Then
  
    optOrientation(0).Value = True
    
  ElseIf sPageType = "CRD3" Then
  
    optOrientation(1).Value = True
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:Form_Activate", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdBack_Click()

  On Error GoTo Error_Handler
  Me.Hide
  On Error Resume Next
  frmNew2CRD.Show vbModal
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:cmdBack_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  Me.Hide
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdNext_Click()

  On Error GoTo Error_Handler
  
  If optOrientation(0).Value Then
  
    sOrientation = "H"
    
  ElseIf optOrientation(1).Value Then
  
    sOrientation = "V"
    
  End If
  
  Me.Hide
  
  If sPartner <> "fotek" Or bFGFolderExists = False Or (sPageType = "CRD1" And sOrientation = "V") Or (sPageType = "CRD3" And sOrientation = "H") Or sPageType = "CRD13" Then
  
    bScrap = False
    sTheme = vbNullString
    CreateAlbum sNewName
    
  Else
  
    On Error Resume Next
    frmTheme.Show vbModal
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:cmdNext_Click", Erl
  Resume Next
  
End Sub

'*****************
'* OptionButton: *
'*****************

Private Sub optOrientation_Click(Index As Integer)

  On Error GoTo Error_Handler
  
  Dim i As Integer
  
  For i = 0 To optOrientation.Count - 1
  
    If (optOrientation.Item(i).Value And i <> Index) Then optOrientation.Item(i).Value = False
    
  Next
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:optOrientation_Click", Erl
  Resume Next
  
End Sub

'**********
'* Label: *
'**********

Private Sub lblPrices_Click()

  On Error GoTo Error_Handler
  frmPrices.GetPrices ThisCode, ThisCover
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:lblPrices_Click", Erl
  Resume Next
  
End Sub

Private Sub lblPrices_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

  Dim lHdl As Long
  
  On Error GoTo Error_Handler
  lHdl = LoadCursor(0, HandCursor)
  If (lHdl > 0) Then SetCursor lHdl
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmNew3CRD:lblPrices_MouseMove", Erl
  Resume Next
  
End Sub

